2018-12-12 19:08 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000036Branch 0.2.1-FINALBugpublic2016-11-23 10:13
Reporteruser13 
Assigned Touser13 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000036: Bug in "Themes pruefen"
DescriptionFehlermeldung bei [Themes] -> Prüfen.

# __errorHandler(8, Undefined variable: result, E:\InternetProjekte\mailtausch\inc\modules\admin\what-theme_check.php, 80, Array ([wht] => theme_check,[menuDesription] => Array ([) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\what-theme_check.php:80]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin\what-theme_check.php) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\action-theme.php:47]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin\action-theme.php) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\admin-inc.php:352]
# ADMIN_DO_ACTION(theme_check) called at [E:\InternetProjekte\mailtausch\inc\modules\admin.php:368]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin.php) called at [E:\InternetProjekte\mailtausch\modules.php:157]

Ist egal ob Theme inportiert ist oder nicht.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000083

Quix0r (administrator)

Hab mal die Zusammenfassung angehaengt.

~0000084

Quix0r (administrator)

Und die Beschreibung hab ich gekuerzt.

~0000087

user13

Last edited: 2010-05-28 17:40

View 2 revisions

Fehlerhafte Abfrage nach SQL-Ergebniss entfernnt und durch den THEME_GET_VERSION()-Rückgabewert bei nicht installiertem Theme ersetzt.

Patch:
http://stelzi.freetzi.com.invalid/what-theme_check-Fix.patch

~0000093

user13

Last edited: 2010-05-28 17:41

View 2 revisions

http://stelzi.freetzi.com.invalid/patches/what-theme_check-Fix.patch

~0000119

Quix0r (administrator)

Dazu musste ich THEME_GET_VERSION() umschreiben. Ab der naechsten Revision liefert THEME_GET_VERSION() ein "!.!" aus, wenn die Erweiterung theme fehlt und ein "?.?", wenn das Theme nicht existiert.

Der Fehler kam, weil ich wohl viele Revisionen zurueck einen Query einfach nur ausgebaut habe, aber halt nicht alles dazu.

Sollte ab der naechsten Revision gefixt sein.

~0000150

Quix0r (administrator)

Ist es beseitigt?

~0000166

user13

Ja ist nun gefixt.

~0000727

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-27 04:21 user13 New Issue
2008-12-27 17:09 Quix0r Note Added: 0000083
2008-12-27 17:09 Quix0r Fixed in Version => 0.2.1-FINAL
2008-12-27 17:09 Quix0r Target Version => 0.2.1-FINAL
2008-12-27 17:09 Quix0r Summary => Bug in "Themes pruefen"
2008-12-27 17:22 Quix0r Note Added: 0000084
2008-12-27 17:22 Quix0r Description Updated
2008-12-29 18:27 user13 Note Added: 0000087
2008-12-29 20:01 user13 Note Added: 0000093
2009-02-05 23:17 Quix0r Note Added: 0000119
2009-02-05 23:17 Quix0r Assigned To => Quix0r
2009-02-05 23:17 Quix0r Status new => assigned
2009-02-05 23:17 Quix0r Projection none => minor fix
2009-02-05 23:17 Quix0r ETA none => < 1 day
2009-02-05 23:17 Quix0r Description Updated
2009-02-07 17:35 Quix0r Note Added: 0000150
2009-02-07 17:35 Quix0r Assigned To Quix0r => user13
2009-02-07 17:35 Quix0r Status assigned => feedback
2009-02-09 11:21 user13 Note Added: 0000166
2009-02-09 11:21 user13 Status feedback => resolved
2009-02-09 11:21 user13 Resolution open => fixed
2009-11-25 21:46 Quix0r Product Version 0.2.1-FINAL =>
2009-11-25 21:46 Quix0r Build Rev. 708 => SVN-708
2010-05-28 17:15 Quix0r Product Version => 0.2.1-FINAL
2010-05-28 17:18 Quix0r Description Updated View Revisions
2010-05-28 17:40 Quix0r Note Edited: 0000087 View Revisions
2010-05-28 17:41 Quix0r Note Edited: 0000093 View Revisions
2016-11-23 10:13 Quix0r Note Added: 0000727
2016-11-23 10:13 Quix0r Status resolved => closed
+Issue History